/*
 * The Halt System Call
 *
 * Authored by Joshua Saxby
 */
#include "devices/shutdown.h"
#include "system_calls.h"
#include "threads/interrupt.h"

void syscall_halt(struct intr_frame *f UNUSED) {
  // terminate Pintos right here and right now!
  shutdown_power_off();
}
